require './test/test_helper'

class BrainspaceArticleTest < Minitest::Test

  def setup
    Brainspace.config.user = 'dummy@dummy.com'
    Brainspace.config.password = 'DUMMY'

    VCR.use_cassette('auth') do
      Brainspace.apikey
    end

  end

  def test_exists
    assert Brainspace::Article
  end

  def test_it_discovers_based_on_query
    VCR.use_cassette('concept discovery') do
      result = Brainspace::Article.discover("BlockChain.info raises major capital today pulling in $30M in today's round.  The investment featured contributions from Virgin Group founder, Richard Branson, who has a substantial investment in Bitpay, the largest payment service provider of digital currencies in the world. There are a few key differences in Blockchain from its main competitor, Coinbase. -- It is positioned to act as a usable wallet for users who actually want to spend their #bitcoin as opposed to speculate on price as \"it doesn't allow people to purchase or sell bitcoin for fiat currency\".\r\n\r\nDespite the dramatic price fluctuations in recent days, investment in cryptocurrencies remains strong with more than $200M in Venture funding in 2014 for the sector.  In addition, [yesterday's annoucement by Overstock.com](http://hubble.disruption.vc/notes/1743) to establish a cryptocurrency enabled stock market indicates that the market and major companies are beginning to take the phenomena seriously through strategic investment.\r\n\r\n[WSJ - Blockchain lands biggest ever funding round for digital currencies](http://online.wsj.com/articles/blockchain-lands-biggest-ever-venture-funding-round-in-bitcoin-industry-1412687156)")

      assert result.kind_of?(Array)
      assert result.first.kind_of?(Brainspace::Article)
    end
  end

end
